{% extends "include/base.html" %}
{% load static %}

{% block name_page %}
  <title>Ask questions</title>
{% endblock name_page %}

{% block authority %}
  {% include "include/register.html" %}
{% endblock authority %}   

{% block content %}
        <div class="col-8 answer-questions">
          <div class="row topic-name">
            <span class="department">New questions </span>
          </div>
          <form name="question">
            <div class="mb-3 row">
                  <label for="FormControlInputTitle" class="col-sm-2 col-form-label">Title</label>
                  <div class="col-sm-6">
                      <input type="text" class="form-control is-invalid" id="validationTitle" aria-describedby="validationFeedbackTitle" placeholder="How to build moon park?" maxlength="128" required>
                      <div id="validationFeedbackLoginSignUp" class="invalid-feedback">
                        Please enter a title.
                      </div>
                  </div>
              </div>
              <form class="was-validated">
                <div class="mb-3 row">
                    <label for="FormControlInputText" class="col-sm-2 col-form-label">Text</label>
                    <div class="col-sm-6">
                      <textarea class="form-control" id="FormControlTextarea" placeholder="Really, how? Have no idea about it." rows="12" maxlength="1000" required></textarea>
                      <div id="validationFeedbackTextQuestion" class="invalid-feedback">
                        Please enter a message.
                      </div>
                    </div>
                </div>
              </form>
              <div class="mb-3 row">
                  <label for="FormControlInputTags" class="col-sm-2 col-form-label">Tags</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control form-control-100" id="FormControlInputTags" placeholder="moon, park, puzzle" maxlength="50">
                </div>
              </div>
              <div class="row ask-question">
                  <button type="submit" class="btn btn-ask">ASK!</button>
              </div> 
          </form>
        </div> 
{% endblock content %}   